Benutzerhandbuch
Version 1.9 — Rev. 3

# Externe SCGI-Anwendung

### Name

#### Beschreibung

Ein eindeutiger Name fuer diese externe Anwendung. Sie verweisen mit diesem Namen in anderen Teilen der Konfiguration auf sie.

### Adresse

#### Beschreibung

Eine eindeutige Socket-Adresse, die von der externen Anwendung verwendet wird. IPv4/IPv6-Sockets und Unix Domain Sockets (UDS) werden unterstuetzt. IPv4/IPv6-Sockets koennen fuer Kommunikation ueber das Netzwerk verwendet werden. UDS kann nur verwendet werden, wenn die externe Anwendung auf derselben Maschine wie der Server liegt.

#### Syntax

IPv4- oder IPV6-Adresse:Port oder UDS://Pfad

#### Beispiel

127.0.0.1:5434
UDS://tmp/lshttpd/php.sock.

#### Tipps

Security Wenn die externe Anwendung auf derselben Maschine laeuft, wird UDS bevorzugt. Wenn Sie einen IPv4|IPV6-Socket verwenden muessen, setzen Sie die IP-Adresse auf localhost oder 127.0.0.1, damit die externe Anwendung von anderen Maschinen nicht erreichbar ist.
Performance Unix Domain Sockets bieten im Allgemeinen hoehere Leistung als IPv4-Sockets.

### Max. Verbindungen

#### Beschreibung

Gibt die maximale Anzahl gleichzeitiger Verbindungen an, die zwischen dem Server und einer externen Anwendung hergestellt werden koennen. Diese Einstellung steuert, wie viele Anfragen eine externe Anwendung gleichzeitig verarbeiten kann; die tatsaechliche Grenze haengt jedoch auch von der externen Anwendung selbst ab. Ein hoeherer Wert hilft nicht, wenn die externe Anwendung nicht schnell genug ist oder nicht auf viele gleichzeitige Anfragen skalieren kann.

#### Syntax

Ganzzahl

#### Tipps

Performance Ein hoher Wert bedeutet nicht automatisch hoehere Leistung. Den Grenzwert so zu setzen, dass die externe Anwendung nicht ueberlastet wird, bietet die beste Leistung/den besten Durchsatz.

### Timeout fuer erste Anfrage (Sek.)

#### Beschreibung

Gibt die maximale Zeit in Sekunden an, die der Server wartet, bis die externe Anwendung auf die erste Anfrage ueber eine neu hergestellte Verbindung antwortet. Wenn der Server innerhalb dieses Timeout-Grenzwerts keine Daten von der externen Anwendung erhaelt, markiert er diese Verbindung als fehlerhaft. So lassen sich Kommunikationsprobleme mit externen Anwendungen moeglichst schnell erkennen. Wenn einige Anfragen laenger dauern, erhoehen Sie diesen Grenzwert, um 503-Fehlermeldungen zu vermeiden.

#### Syntax

Ganzzahl

### Wiederholungs-Timeout (Sek.)

#### Beschreibung

Gibt an, wie lange der Server wartet, bevor er eine externe Anwendung erneut versucht, bei der zuvor ein Kommunikationsproblem aufgetreten ist.

#### Syntax

Ganzzahl

### Keepalive-Timeout der Verbindung

#### Beschreibung

Gibt die maximale Zeit in Sekunden an, fuer die eine inaktive persistente Verbindung offen gehalten wird.
Bei "-1" laeuft die Verbindung nie ab. Bei 0 oder hoeher wird die Verbindung geschlossen, nachdem diese Zeit in Sekunden vergangen ist.

#### Syntax

Ganzzahl

### Antwortpufferung

#### Beschreibung

Gibt an, ob Antworten externer Anwendungen gepuffert werden. Wenn ein "nph-"-Skript (Non-Parsed-Header) erkannt wird, wird die Pufferung fuer Antworten mit vollstaendigen HTTP-Headern deaktiviert.

#### Syntax

Aus Dropdown-Liste auswählen